<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        $sql = <<<'SQL'
                CREATE TABLE vehicle_masters(
                    id					               	BIGINT GENERATED always AS IDENTITY PRIMARY KEY,
                    driver_master_id					BIGINT NOT NULL,
                    tracking_device_master_id			BIGINT DEFAULT NULL,
                    registration_number					TEXT DEFAULT NULL,
                    model								TEXT DEFAULT NULL,
                    created_at							TIMESTAMP NOT NULL DEFAULT NOW(),
                    updated_at							TIMESTAMP NOT NULL DEFAULT NOW(),
                    created_by							TEXT DEFAULT NULL,
                    updated_by							TEXT DEFAULT NULL,
                    deleted_at			                TIMESTAMP,

                    FOREIGN KEY (driver_master_id)              REFERENCES  driver_masters (id),
                    FOREIGN KEY (tracking_device_master_id)     REFERENCES  tracking_device_masters (id)

                );
            SQL;
        DB::statement($sql);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('vehicle_masters');
    }
};
